The Support Forum
Evernote
by Paul H. @ 2019-06-11 19:14:16

Does this product work with Evernote?
Re: Evernote
by admin @ 2019-06-18 18:24:05

Hi Paul,

I just checked the system requirements for Evernote.

https://help.evernote.com/hc/en-us/articles/115012107027-Operating-system-requirements-for-Evernote

Unfortunately Evernote requires Android 5.0 and the Mobiscribe currently only supports Android 4.4. We are currently working on upgrading the Android version.

Support @ MobiScribe

PRODUCT
SHOP
FAQ
SUPPORT
CONTACT
English
中文